<?php
/**
 * Confirms
 *
 * 네이버 현장확인매물 관리 시스템 php 5.3
 *
 * @package		admin.confirms.co.kr
 * @author		OWRAinfo.inc Dev Team
 * @copyright	Copyright (c) 2012 - 2013, OWRAinfo, Inc.
 * @since		Version 1.0
 * @filesource
 */

// ------------------------------------------------------------------------

/**
 * 배열을 HashTable 형태의 배열로 변환 한다.
 */
if (!function_exists('convertArrayToHashTable')) {
    function convertArrayToHashTable($array, $key, $value, $firstArray = array(), $lastArray = array())
    {

        $returnArray = array();

        if (!empty($firstArray) && is_array($firstArray)) {

            foreach ($firstArray as $row) {
                $k = @$row[$key];
                if (empty($k))
                    $k = '';

                $v = @$row[$value];
                if (empty($v))
                    $v = '';

                $returnArray[$k] = $v;
            }
        }

        if (!empty($array) && is_array($array)) {
            foreach ($array as $row) {
                $k = @$row[$key];
                if (empty($k))
                    $k = '';

                $v = @$row[$value];
                if (empty($v))
                    $v = '';

                $returnArray[$k] = $v;
            }
        }

        if (!empty($lastArray) && is_array($lastArray)) {
            foreach ($lastArray as $row) {
                $k = $row[$key];
                if (empty($k))
                    $k = '';

                $v = $row[$value];
                if (empty($v))
                    $v = '';

                $returnArray[$k] = $v;
            }
        }

        return $returnArray;
    }

}